
Foreman - Bug #19422

validates_lengths_from_database leaks validation options between models

04/27/2017 06:11 PM - Ivan Necas

Status: Resolved   

Priority: Normal   

Assignee: Ivan Necas   

Category: Database   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/rubiety/validates_lengt

hs_from_database/pull/17,

https://github.com/rubiety/validates_lengt

hs_from_database/pull/18

  

Description

This leads to unexpected validatoin errors such as "OperatingsystemTest.test_: Operatingsystem should not allow :major to be

‹"111111"›."

in tests, depending on options of other ActiveRecord objects and order of their loading.

It hit us hard in remote_execution

History

#1 - 04/28/2017 03:52 AM - Ivan Necas

- Pull request https://github.com/rubiety/validates_lengths_from_database/pull/18 added

#2 - 05/03/2017 06:07 AM - Dominic Cleal

- Status changed from Ready For Testing to Resolved

Not a Foreman issue, changed in a gem.
